New Search

Excel Insufficient Record Validation Vulnerability

oval:org.mitre.oval:def:12139

Microsoft Excel 2002 SP3 2003 SP3 and 2007 SP2; Office 2004 and 2008 for Mac; Open XML File Format Converter for Mac; Excel Viewer SP2; and Office Compatibility Pack for Word Excel and PowerPoint 2007 File Formats SP2 do not properly validate record structures during parsing of Excel spreadsheets which allows remote attackers to execute arbitrary code via a crafted spreadsheet aka "Excel Insufficient Record Validation Vulnerability."

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows Server 2008
  • Microsoft Windows 7
  • Microsoft Windows 2000
  • Microsoft Windows Vista
  • Microsoft Windows Server 2003
  • Microsoft Windows XP
Class:
vulnerability
Reference(s):
  • CVE-2011-1272
Product(s):
  • Microsoft Office Compatibility Pack
  • Microsoft Excel 2003
  • Microsoft Office Excel Viewer
  • Microsoft Excel 2002